Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups
Class ReferenceEntityStoreFactory

    java.lang.Object
      org.jasig.portal.groups.ReferenceEntityStoreFactory

All Implemented Interfaces:
  IEntityStoreFactory

    public class ReferenceEntityStoreFactory

extends java.lang.Object
implements IEntityStoreFactory

Creates an instance of the reference `IEntityStore`.

Version:
  $Revision: 1.4 $
Author:
  Dan Ellentuck

Field Summary
`private static org.apache.commons.logging.Log` | `log`

Constructor Summary
`ReferenceEntityStoreFactory()` ReferenceGroupServiceFactory constructor.

Method Summary
`IEntityStore` | `newEntityStore()` Return an instance of the entity store implementation.
`IEntityStore` | `newInstance()` Return an instance of the entity store implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

Constructor Detail

### ReferenceEntityStoreFactory

    public ReferenceEntityStoreFactory()

  ReferenceGroupServiceFactory constructor.

Method Detail

### newEntityStore

    public IEntityStore newEntityStore()
                                throws GroupsException

  Return an instance of the entity store implementation.

  Specified by:
    `newEntityStore` in interface `IEntityStoreFactory`
  Returns:
    IEntityStore
  Throws:
    `GroupsException`

### newInstance

    public IEntityStore newInstance()
                             throws GroupsException

  Return an instance of the entity store implementation.

  Returns:
    IEntityStore
  Throws:
    `GroupsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD